@echo off

REM This script can be replaced with the one you get from https://app.visualdb.com/self-host

set SCRIPT_FOLDER=%~dp0
cd /d %SCRIPT_FOLDER%

if exist bin\visualdb.exe goto foundexe
echo Can't find %SCRIPT_FOLDER%bin\visualdb.exe
echo Download Windows binaries from https://visualdb.com/windows
goto done

:foundexe
if not "%VDB_HOST_ID%" == "" goto foundvars
echo Visual DB environment variables are not set.
echo To get the environment variables visit https://app.visualdb.com/self-host
goto done

:foundvars
cd bin
.\visualdb.exe

:done
